<?php
// ========================================= >>> wvrbbp_select_filter <<< ===============================
function wvrbbp_help_admin() {
    // admin for help

?>
    <h2 style="color:blue;font-weight:bold;"><?php _e('Quick Start Help','weaver-for-bbpress');?></h2>

	<h3>Weaver for bbPress Help</h3>
Documentation for Weaver for bbPress can be found on the <a href="//guide.weavertheme.com/category/weaver-for-bbpress/" target="_blank">Weaver for bbPress Guide </a>page.

<p>Help is provided at the <a href="//forum.weavertheme.com" target="_blank">Weaver Support Forum</a>.</p>

<h3>Recommended Plugins</h3>

<p>To help build a user friendly, active forum, we also recommend the following plugins. <strong>Weaver for bbPress</strong> also supports these plugins with integrated subTheme styling.
<br />
<ol>
 	<li><a href="//wordpress.org/plugins/bbpress-pencil-unread/" target="_blank"><strong>bbPress Pencil Unread</strong></a> - What, a forum without an indicator for Unread posts? Bad idea. This plugin will clearly indicate unread Topics, and Weaver for bbPress styles the marker to match the theme. The "Mark all as Read" link is styled as a button that appears at the top right of forum Topic list.</li>
	<br />
 	<li><a href="//wordpress.org/plugins/search/bbpress+moderation+tools/" target="_blank"><strong>bbPress Moderation Tools</strong></a> - If you need to add Topic/Reply moderation tools, this is a very well written and simple plugin. Extends standard WP Comment moderation to bbPress.</li>
	<br />
	<li><a href=""//wordpress.org/plugins/bbp-move-topics/" target="_blank"><strong>bbp Move Topics</strong></a> - Move topics from one forum to another, convert post/comments into topic/replies in the same site. Essential moderation tool.</li>
	<br />
	<li><a href=""//wordpress.org/plugins/wp-edit/" target="_blank"><strong>WP Edit</strong></a> - Adds new features to the visual editor. Most usefully, it allows you to customize the formatting buttons on the visual editor button bar. We recommend using <em>Weaver for bbPress's</em> option to enable the visual editor rather than WP Edit's option, however. You still get all the great WP Edit features.</li>
	<br />
</ol>
<br />
<h3>Great Plugins You Probably Don't Need Now</h3>
<p>The following plugins are great, but most of their major functionality is now included with <strong>Weaver for bbPress</strong>.</p>
<ol>
 	<li><strong>bbp style pack, bbPress forum utility pack, bbPress WP Tweaks</strong> - these are among several other similar plugins that provide different kinds of tweaking for bbPress. We've integrated the most useful tweaks into Weaver for bbPress, and you most likely won't need these plugins any more.</li>
	<br />
 	<li><strong>bbPress Private Replies</strong> - its features are enhanced and integrated into Weaver for bbPress, including styling.</li>
	<br />
 	<li><strong>bbPress Simple View Counts</strong> - its features are enhanced and integrated into Weaver for bbPress. In fact, Weaver for bbPress will detect and use the count data from this plugin, so you won't even lose your data by switching.</li>
	<br />
	<li><strong>bbResoutions</strong> - most of its features have been integrated into Weaver for bbPress. The Weaver for bbPress
	version is compatible with the resolution settings by bbResolutions so your resolution status will be unchanged.
</ol>
</div>

</div> <!-- xxxx -->
<?php

}


?>
